
const OracleService = require('../service/OracleService')

class acmDelComandavenModel {
    constructor() {
        this.GET_ACMDELCOMANDAVEN = `
            DELETE FROM COMANDAVEN
             WHERE CDFILIAL    = :P_CDFILIAL
               AND NRCOMANDA   = :P_NRCOMANDA
               AND NRVENDAREST = (SELECT NRVENDAREST 
            FROM VENDAREST
                 WHERE CDFILIAL = :P_CDFILIAL
            						 AND NRVENDAREST = :P_NRVENDAREST
            						 AND CDCLIENTE = :P_CDCLIENTE
            						 AND CDCONSUMIDOR = :P_CDCONSUMIDOR)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMDELCOMANDAVEN, params);
        })
    }
}  

module.exports = new acmDelComandavenModel();