const OracleService = require('../service/OracleService');

class sefazModel {
  constructor() {
    this.GET_ALL = `
      SELECT 'N' AS IDCHECK, STATSERVHOM.CDIBGEESTADO, STATSERVHOM.SGESTADO, DSESTADO,
      CDSTATUS, DSSTATUS, DSOBSSTATUS, CDSTATUSSCAN,
      DSSTATUSSCAN, DSOBSSTATUSSCAN, DTCONSSTATNORM, DTCONSSTATSCAN,
      CDSERVVIRTUAL, CDSTATUSSVC, DSSTATUSSVC, DSOBSSTATUSSVC,
      DTRETORNOSVC,
      CASE
        WHEN CDSTATUS = '107' THEN 'VERDE'
        WHEN CDSTATUS = '108' THEN 'AMARELO'
        WHEN CDSTATUS = '109' THEN 'VERMELHO'
        ELSE 'CINZA'
      END AS IDNORMAL,
      CASE
        WHEN CDSTATUSSCAN = '107' THEN 'VERDE'
        WHEN CDSTATUSSCAN = '113' THEN 'AMARELO'
        WHEN CDSTATUSSCAN = '114' THEN 'VERMELHO'
        ELSE 'CINZA'
      END AS IDSCAN,
      CASE
        WHEN CDSTATUSSVC = '107' THEN 'VERDE'
        WHEN CDSTATUSSVC = '113' THEN 'AMARELO'
        WHEN CDSTATUSSVC = '114' THEN 'VERMELHO'
        ELSE 'CINZA'
      END AS IDSVC,

      CDFILIAL
      FROM STATSERVHOM

      INNER JOIN
      EMPRESA ON EMPRESA.SGESTADO = STATSERVHOM.SGESTADO
      INNER JOIN FILIAL ON FILIAL.CDEMPRESA = EMPRESA.CDEMPRESA

      WHERE STATSERVHOM.SGESTADO NOT IN ('SVAN', 'SVRS', 'SVCAN', 'SVCRS')
      ORDER BY STATSERVHOM.SGESTADO
    `;
  }

  getAll(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ALL);
    });
  }
}

module.exports = new sefazModel();
