const OracleService = require('../service/OracleService');

class acmUpSaldoModel {
  constructor() {
    this.GET_DASHBOARDFILIAIS = `
    SELECT *
    FROM (SELECT a.*, ROWNUM AS rnum
          FROM (SELECT CDFILIAL, NMFILIAL FROM FILIAL ORDER BY CDFILIAL) a
          WHERE ROWNUM <= :MAX_ROW)
    WHERE rnum >= :MIN_ROW
    `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_DASHBOARDFILIAIS, params);
    });
  }
}

module.exports = new acmUpSaldoModel();
