const OracleService = require('../service/OracleService');

class adqMinDtMovExtConsModel {
  constructor() {
    this.GET_ADQSRVEXTRATOCONS = `
          SELECT MAX(DTMOVEXTCONS) AS DTMOVEXTCONS
          FROM EXTRATOCONS
          WHERE CDCLIENTE    = :P_CDCLIENTE
            AND CDCONSUMIDOR = :P_CDCONSUMIDOR
            AND CDFAMILISALD = :P_CDFAMILISALD
            AND DTMOVEXTCONS < TIMESTAMP :P_DTINIEVOLUCAO
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ADQSRVEXTRATOCONS, params);
    });
  }
}

module.exports = new adqMinDtMovExtConsModel();
